metadata:
  name: Postman Example
variables:
  GREETINGS: This is a Postman test example uses execute_action with folder option
jobs:
  # Set the job key.  The key is displayed as the job name when
  # a job name is not provided
  keyword-driven:
    runs-on: postman
    steps:
    - run: echo $GREETINGS
    - uses: actions/checkout@v2
      with:
        repository: https://gitlab.com/opentestfactory/test-samples/postman-samples
    - uses: postman/execute@v1
      with:
        test: postman-samples/CollectionTestsGitLab.postman_collection.json#1_Execute_Action